Loading...
Searching...
No Matches
casacore::LogiVector_global_functions_LogicalVector Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <LogiVector.h>`

## Public Types

typedef Vector< LogicalArrayElem > | LogicalVector
| Define LogicalVector.

## Detailed Description

Logical valued Vectors.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Array
- Vector
- LogicalArray

### Etymology

LogicalVector declares logical valued Vectors.

### Synopsis

This file contains the declarations for LogicalVectors.

### Motivation

These are the Vector specialization of LogicalArrays.

### To Do

- Consider making these into classes.
- Consider replacing with builtin boolean class when that makes it into the C++ compiler.

Definition at line 68 of file LogiVector.h.

## Member Typedef Documentation

## LogicalVector

typedef Vector<LogicalArrayElem> casacore::LogiVector_global_functions_LogicalVector::LogicalVector

Define LogicalVector.

Definition at line 72 of file LogiVector.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/LogiVector.h